package com.yuexiu.secp.read.model.service.impl;


import cn.hutool.core.bean.BeanUtil;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.google.common.collect.Iterables;
import com.sie.iot.common.model.inter.server.BaseCommonServer;
import com.sie.iot.common.util.UserSessionHelper;
import com.yuexiu.secp.read.dto.RecommendDto;
import com.yuexiu.secp.read.model.dao.ArticlePreviewDao;
import com.yuexiu.secp.read.dto.ArticlePreviewDto;
import com.yuexiu.secp.read.model.entities.ArticlePreviewEntity;
import com.yuexiu.secp.read.model.entities.CostUnitEntity;
import com.yuexiu.secp.read.model.service.IArticlePreview;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;
import com.sie.iot.common.services.CommonAbstractService;

import java.util.*;

/**
 * @author YuChengLong
 * @date 2022/5/10
 */

@Service
public class ArticlePreviewServer extends BaseCommonServer<CostUnitEntity> implements IArticlePreview {


    @Autowired
    private StringRedisTemplate redisTemplate;

    @Autowired
    private ArticlePreviewDao articlePreviewDao;



    @Override
    public ArticlePreviewEntity saveArticlePreview(ArticlePreviewDto dto) {

        ArticlePreviewEntity entity = new ArticlePreviewEntity();
        BeanUtil.copyProperties(dto,entity);
        
        //固定
//        entity.setOperatorUserId(UserSessionHelper.getCurrentSession().getUserId());
//        entity.setTenantId(UserSessionHelper.getCurrentSession().getTenantId());
        return entity;
    }

}
